/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*Remove body margin*/
body{
	margin: 0px !important;
}
/*Stop x overflow*/
html, body {
	overflow-x: hidden;
}

/*-----GRAVITY FORMS-----*/
.gform_required_legend {
    display: none!important;
}
/*All input areas text color*/
.gform_wrapper.gravity-theme input[type=color], .gform_wrapper.gravity-theme input[type=date], .gform_wrapper.gravity-theme input[type=datetime-local], .gform_wrapper.gravity-theme input[type=datetime], .gform_wrapper.gravity-theme input[type=email], .gform_wrapper.gravity-theme input[type=month], .gform_wrapper.gravity-theme input[type=number], .gform_wrapper.gravity-theme input[type=password], .gform_wrapper.gravity-theme input[type=search], .gform_wrapper.gravity-theme input[type=tel], .gform_wrapper.gravity-theme input[type=text], .gform_wrapper.gravity-theme input[type=time], .gform_wrapper.gravity-theme input[type=url], .gform_wrapper.gravity-theme input[type=week], .gform_wrapper.gravity-theme select, .gform_wrapper.gravity-theme textarea {
  color: var( --e-global-color-primary );
}
body .gform_wrapper ::placeholder,
body .gform_wrapper ::-webkit-input-placeholder,
body .gform_wrapper input[placeholder] {
  color: var( --e-global-color-secondary )!important;
}
#gform_confirmation_message_2 {
  color: var( --e-global-color-secondary )!important;
}
/*Text fields*/
.gform_wrapper
  input:not([type="radio"]):not([type="checkbox"]):not([type="submit"]):not([type="button"]):not([type="image"]):not([type="file"]) {
  border-radius: 0px !important;
  padding: 10px 10px 10px 10px !important;
  border-color: var( --e-global-color-22c65ab1 ) !important;
  border-width: 1px !important;
  border-style: solid !important;
}
/*Paragraph fields*/
.gform_wrapper textarea {
  padding: 10px 10px 10px 10px !important;
  border-width: 1px !important;
  border-color: var( --e-global-color-22c65ab1 ) !important;
  border-style: solid !important;
  border-radius: 0px !important;
}
/*Select fields*/
.gform_wrapper select {
	border-radius: 0px !important;
	border: solid 1px var( --e-global-color-22c65ab1 )!important;
	padding: 8px!important;
}
/*Field lables*/
.gform_wrapper label.gfield_label,
.gform_wrapper legend.gfield_label {
  font-weight: 600 !important;
  color: white; !important;
  margin-bottom: 10px !important;
  margin-top: 10px !important;
}

.gform-field-label--type-inline {
  color: #ffffff !important;
}

/*Radio button and checkbox alignment*/
.gform_wrapper.gf_browser_chrome .gfield_checkbox li input,
.gform_wrapper.gf_browser_chrome .gfield_checkbox li input[type="checkbox"],
.gform_wrapper.gf_browser_chrome .gfield_radio li input[type="radio"] {
  margin-top: 0px !important;
}
body .gform_wrapper ul li.gfield {
  margin-top: 0px !important;
}
/*Submit button*/
.gform_wrapper {
  margin: 0 0 0 0 !important;
  border:0px;
}
.gform_legacy_markup_wrapper .gform_footer {
    padding: 0px !important;
}
.gform_button {
	background-color: var(--e-global-color-secondary);
    border-style: solid;
    border-width: 3px 3px 3px 3px;
    border-color: var(--e-global-color-primary);
	border-radius: 5px;
}
.gform_button:hover {
	background-color: var(--e-global-color-128da18)!important;
    color: var(--e-global-color-primary)!important;
    border-color: var(--e-global-color-primary)!important;
}

body .gform_wrapper input.datepicker {
  color: var(--e-global-color-text) !important;
}

body .gform_wrapper input.gform-datepicker::placeholder {
  color: var(--e-global-color-text) !important;
}

body .gform_wrapper .gsection_title {
  color: #ffffff !important;
}

/*-----GUTENBERG BLOCKS-----*/
/*Padding for tables*/
.wp-block-table.is-style-stripes td, .wp-block-table.is-style-stripes th {
    padding: 10px;
}
/*Margin for divider*/
.wp-block-separator.is-style-wide {
    border-bottom-width: 1px;
    margin-top: 30px;
    margin-bottom: 30px;
}


/* Additional CSS - Form Styling */

.ginput_container.ginput_container_fileupload {
	color: var(--e-global-color-128da18);
}

.gfield_description.gform_fileupload_rules {
	margin-top: 0px !important;
	padding-top: 0px !important;
}

a.elementor-post__read-more {
	background-color: var(--e-global-color-secondary);
    border-style: solid;
    border-width: 3px 3px 3px 3px;
    border-color: var(--e-global-color-primary);
    font-family: var(--e-global-typography-accent-font-family), Sans-serif;
    font-size: var(--e-global-typography-accent-font-size);
    font-weight: var(--e-global-typography-accent-font-weight);
    text-transform: var(--e-global-typography-accent-text-transform);
    line-height: var(--e-global-typography-accent-line-height);
    color: var(--e-global-color-text);
    border-radius: 5px 5px 5px 5px;
    padding: 10px 25px 10px 25px;
}

a.elementor-post__read-more:hover {
	background-color: var(--e-global-color-128da18);
    color: var(--e-global-color-primary);
    border-color: var(--e-global-color-primary);
}


/* End of Additional CSS - Form Styling */

/* Home */

.swiper-pagination-bullet {
	min-width: 60px;
    border-radius: 5px;
	opacity: 1;
	margin-left: 0px !important;
}

.swiper-pagination-bullet-active {
	background-color: var(--e-global-color-primary) !important;
}


/* Media Queries */

@media only screen and (max-width: 1024px) {
	.sliderImageContainer{
		max-height: 300px;
	}
}

@media only screen and (max-width: 768px) {
    .swiper-pagination-bullet {
        min-width: 20px; 
        border-radius: 10px;
    }
}

@media (max-width: 1024px) {
    .about-container {
        background-image: none !important;
    }
}

.elementor-element-29cad86 {
  overflow: visible !important;
}
